<?php

/*
 +--------------------------------------------------------------------+
 | CiviCRM version 1.8                                                |
 +--------------------------------------------------------------------+
 | Copyright CiviCRM LLC (c) 2004-2007                                |
 +--------------------------------------------------------------------+
 | This file is a part of CiviCRM.                                    |
 |                                                                    |
 | CiviCRM is free software; you can copy, modify, and distribute it  |
 | under the terms of the Affero General Public License Version 1,    |
 | March 2002.                                                        |
 |                                                                    |
 | CiviCRM is distributed in the hope that it will be useful, but     |
 | WITHOUT ANY WARRANTY; without even the implied warranty of         |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.               |
 | See the Affero General Public License for more details.            |
 |                                                                    |
 | You should have received a copy of the Affero General Public       |
 | License along with this program; if not, contact CiviCRM LLC       |
 | at info[AT]civicrm[DOT]org.  If you have questions about the       |
 | Affero General Public License or the licensing  of CiviCRM,        |
 | see the CiviCRM license FAQ at http://civicrm.org/licensing        |
 +--------------------------------------------------------------------+
*/

/**
 *
 * @package CRM
 * @copyright CiviCRM LLC (c) 2004-2007
 * $Id$
 *
 */

require_once 'CRM/Core/Form.php';

/**
 * This class generates form components for Participant
 * 
 */
class CRM_Event_Form_ActivityView extends CRM_Core_Form
{
    /**  
     * Function to set variables up before form is built  
     *                                                            
     * @return void  
     * @access public  
     */
    public function preProcess( ) 
    {
        $activityId = CRM_Utils_Request::retrieve( 'hid', 'Integer', CRM_Core_DAO::$_nullObject );
        
        require_once 'CRM/Core/BAO/History.php';
        
        $values = array( ); 
        $ids    = array( ); 
        $params = array( 'id' => $activityId ); 
        
        CRM_Core_BAO_History::getValues( $params, $hValues );        
        
        list($values['event'], $skip, $values['role'], $values['status']) = explode(' - ',$hValues['activity']['data'][$activityId]['activity_summary']);
        $values['modified_date'] = $hValues['activity']['data'][$activityId]['activity_date'];
        $values['history']       = 1;
        
        if ( CRM_Utils_Request::retrieve( 'id', 'Integer', CRM_Core_DAO::$_nullObject ) ) {
            $values['source'] = CRM_Core_DAO::getFieldValue( 
                                'CRM_Event_DAO_Participant',
                                CRM_Utils_Request::retrieve( 'id', 'Integer', CRM_Core_DAO::$_nullObject ),
                                'source' );
            
            $values['event_level'] = CRM_Core_DAO::getFieldValue( 
                                     'CRM_Event_DAO_Participant',
                                     CRM_Utils_Request::retrieve( 'id', 'Integer', CRM_Core_DAO::$_nullObject ),
                                     'event_level' );
        }
        
        $this->assign( $values ); 
    }

    /**
     * Function to build the form
     *
     * @return None
     * @access public
     */
    public function buildQuickForm( ) 
    {
        $this->addButtons(array(  
                                array ( 'type'      => 'next',  
                                        'name'      => ts('Done'),  
                                        'spacing'   => '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',  
                                        'isDefault' => true   )
                                )
                          );
    }

}

?>
